<?php

#*************************************
# X-Cart Reboot Template v4.7.x
# Copyright 2020 www.xcartmods.co.uk
#*************************************

//UPDATE xcart_orders SET deviceType = 'D' WHERE deviceType = '';

require "./auth.php";
require $xcart_dir."/include/security.php";

if ($active_modules['Reboot'] && $alt_skin_info['alt_schemes_skin_name'] == 'reboot' && $config['Reboot']['reboot_device_detect_enabled'] == 'Y') {

	function get_percentage($total, $number) {
	  if ($total > 0) {
		return round($number / ($total / 100), 1);
	  } else {
		return 0;
	  }
	}

	if ($_GET['s']) {
		$order_status = strtoupper($_GET['s']);
	} else {
		$order_status = 'P'; // 'P' (Processed) or 'C' (Complete)
	}

	$smarty->assign('status', $order_status);

	if (!$_GET['y'] && !$_GET['m']) {

		$year0 = date("Y");
		$ysta0 = strtotime($year0."-01-01 00:00:00");
		$yend0 = strtotime($year0."-12-31 23:59:59");
		$orders_year_0_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta0 AND $yend0 AND status = '$order_status'");
		$orders_count_year_0 = db_num_rows($orders_year_0_query);
		$smarty->assign('year_0', $orders_count_year_0);

		$year1 = date("Y") - 1;
		$ysta1 = strtotime($year1."-01-01 00:00:00");
		$yend1 = strtotime($year1."-12-31 23:59:59");
		$orders_year_1_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta1 AND $yend1 AND status = '$order_status'");
		$orders_count_year_1 = db_num_rows($orders_year_1_query);
		$smarty->assign('year_1', $orders_count_year_1);

		$year2 = date("Y") - 2;
		$ysta2 = strtotime($year2."-01-01 00:00:00");
		$yend2 = strtotime($year2."-12-31 23:59:59");
		$orders_year_2_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta2 AND $yend2 AND status = '$order_status'");
		$orders_count_year_2 = db_num_rows($orders_year_2_query);
		$smarty->assign('year_2', $orders_count_year_2);

		$year3 = date("Y") - 3;
		$ysta3 = strtotime($year3."-01-01 00:00:00");
		$yend3 = strtotime($year3."-12-31 23:59:59");
		$orders_year_3_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta3 AND $yend3 AND status = '$order_status'");
		$orders_count_year_3 = db_num_rows($orders_year_3_query);
		$smarty->assign('year_3', $orders_count_year_3);

		$year4 = date("Y") - 4;
		$ysta4 = strtotime($year4."-01-01 00:00:00");
		$yend4 = strtotime($year4."-12-31 23:59:59");
		$orders_year_4_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta4 AND $yend4 AND status = '$order_status'");
		$orders_count_year_4 = db_num_rows($orders_year_4_query);
		$smarty->assign('year_4', $orders_count_year_4);

		$year5 = date("Y") - 5;
		$ysta5 = strtotime($year5."-01-01 00:00:00");
		$yend5 = strtotime($year5."-12-31 23:59:59");
		$orders_year_5_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta5 AND $yend5 AND status = '$order_status'");
		$orders_count_year_5 = db_num_rows($orders_year_5_query);
		$smarty->assign('year_5', $orders_count_year_5);

		$year6 = date("Y") - 6;
		$ysta6 = strtotime($year6."-01-01 00:00:00");
		$yend6 = strtotime($year6."-12-31 23:59:59");
		$orders_year_6_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta6 AND $yend6 AND status = '$order_status'");
		$orders_count_year_6 = db_num_rows($orders_year_6_query);
		$smarty->assign('year_6', $orders_count_year_6);

		$year7 = date("Y") - 7;
		$ysta7 = strtotime($year7."-01-01 00:00:00");
		$yend7 = strtotime($year7."-12-31 23:59:59");
		$orders_year_7_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta7 AND $yend7 AND status = '$order_status'");
		$orders_count_year_7 = db_num_rows($orders_year_7_query);
		$smarty->assign('year_7', $orders_count_year_7);

		$year8 = date("Y") - 8;
		$ysta8 = strtotime($year8."-01-01 00:00:00");
		$yend8 = strtotime($year8."-12-31 23:59:59");
		$orders_year_8_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta8 AND $yend8 AND status = '$order_status'");
		$orders_count_year_8 = db_num_rows($orders_year_8_query);
		$smarty->assign('year_8', $orders_count_year_8);

		$year9 = date("Y") - 9;
		$ysta9 = strtotime($year9."-01-01 00:00:00");
		$yend9 = strtotime($year9."-12-31 23:59:59");
		$orders_year_9_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta9 AND $yend9 AND status = '$order_status'");
		$orders_count_year_9 = db_num_rows($orders_year_9_query);
		$smarty->assign('year_9', $orders_count_year_9);

		$year10 = date("Y") - 10;
		$ysta10 = strtotime($year10."-01-01 00:00:00");
		$yend10 = strtotime($year10."-12-31 23:59:59");
		$orders_year_10_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $ysta10 AND $yend10 AND status = '$order_status'");
		$orders_count_year_10 = db_num_rows($orders_year_10_query);
		$smarty->assign('year_10', $orders_count_year_10);

	}

	if ($_GET['y']) {

		$year = $_GET['y'];

		if ($_GET['m']) {

			$month = $_GET['m'];
			$month_name = date("F", mktime(0, 0, 0, $month, 10));
			$smarty->assign('month', $month_name);
			$start = strtotime($year."-".$month."-01 00:00:00");

			if ($month == "01") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "02") {
				if ($year == "2008" || $year == "2012" || $year == "2016" || $year == "2020" || $year == "2024" || $year == "2028" || $year == "2032" || $year == "2036" || $year == "2040") {
					$end = strtotime($year."-".$month."-29 23:59:59");
				} else {
					$end = strtotime($year."-".$month."-28 23:59:59");
				}
			} else if ($month == "03") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "04") {
				$end = strtotime($year."-".$month."-30 23:59:59");
			} else if ($month == "05") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "06") {
				$end = strtotime($year."-".$month."-30 23:59:59");
			} else if ($month == "07") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "08") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "09") {
				$end = strtotime($year."-".$month."-30 23:59:59");
			} else if ($month == "10") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			} else if ($month == "11") {
				$end = strtotime($year."-".$month."-30 23:59:59");
			} else if ($month == "12") {
				$end = strtotime($year."-".$month."-31 23:59:59");
			}

		} else {

			$start = strtotime($year."-01-01 00:00:00");
			$end = strtotime($year."-12-31 23:59:59");
		}

		$total_start = strtotime($year."-01-01 00:00:00");
		$total_end   = strtotime($year."-12-31 23:59:59");

		$start_01 = strtotime($year."-01-01 00:00:00");
		$end_01 =   strtotime($year."-01-31 23:59:59");
		$start_02 = strtotime($year."-02-01 00:00:00");
		if ($year == "2008" || $year == "2012" || $year == "2016" || $year == "2020" || $year == "2024" || $year == "2028" || $year == "2032" || $year == "2036" || $year == "2040") {
			$end_02 =   strtotime($year."-02-29 23:59:59");
		} else {
			$end_02 =   strtotime($year."-02-28 23:59:59");
		}
		$start_03 = strtotime($year."-03-01 00:00:00");
		$end_03 =   strtotime($year."-03-31 23:59:59");
		$start_04 = strtotime($year."-04-01 00:00:00");
		$end_04 =   strtotime($year."-04-30 23:59:59");
		$start_05 = strtotime($year."-05-01 00:00:00");
		$end_05 =   strtotime($year."-05-31 23:59:59");
		$start_06 = strtotime($year."-06-01 00:00:00");
		$end_06 =   strtotime($year."-06-30 23:59:59");
		$start_07 = strtotime($year."-07-01 00:00:00");
		$end_07 =   strtotime($year."-07-31 23:59:59");
		$start_08 = strtotime($year."-08-01 00:00:00");
		$end_08 =   strtotime($year."-08-31 23:59:59");
		$start_09 = strtotime($year."-09-01 00:00:00");
		$end_09 =   strtotime($year."-09-30 23:59:59");
		$start_10 = strtotime($year."-10-01 00:00:00");
		$end_10 =   strtotime($year."-10-31 23:59:59");
		$start_11 = strtotime($year."-11-01 00:00:00");
		$end_11 =   strtotime($year."-11-30 23:59:59");
		$start_12 = strtotime($year."-12-01 00:00:00");
		$end_12 =   strtotime($year."-12-31 23:59:59");

	}

	if ($_GET['y']) {

		$orders_total_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $total_start AND $total_end AND status = '$order_status'");
		$orders_count_total = db_num_rows($orders_total_query);
		$smarty->assign('total_orders', $orders_count_total);

		$orders_total_01_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_01 AND $end_01 AND status = '$order_status'");
		$orders_count_total_01 = db_num_rows($orders_total_01_query);
		$orders_count_total__01 = get_percentage($orders_count_total, $orders_count_total_01);
		$smarty->assign('total_01', $orders_count_total__01);
		$smarty->assign('total__01', $orders_count_total_01);

		$orders_total_02_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_02 AND $end_02 AND status = '$order_status'");
		$orders_count_total_02 = db_num_rows($orders_total_02_query);
		$orders_count_total__02 = get_percentage($orders_count_total, $orders_count_total_02);
		$smarty->assign('total_02', $orders_count_total__02);
		$smarty->assign('total__02', $orders_count_total_02);

		$orders_total_03_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_03 AND $end_03 AND status = '$order_status'");
		$orders_count_total_03 = db_num_rows($orders_total_03_query);
		$orders_count_total__03 = get_percentage($orders_count_total, $orders_count_total_03);
		$smarty->assign('total_03', $orders_count_total__03);
		$smarty->assign('total__03', $orders_count_total_03);

		$orders_total_04_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_04 AND $end_04 AND status = '$order_status'");
		$orders_count_total_04 = db_num_rows($orders_total_04_query);
		$orders_count_total__04 = get_percentage($orders_count_total, $orders_count_total_04);
		$smarty->assign('total_04', $orders_count_total__04);
		$smarty->assign('total__04', $orders_count_total_04);

		$orders_total_05_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_05 AND $end_05 AND status = '$order_status'");
		$orders_count_total_05 = db_num_rows($orders_total_05_query);
		$orders_count_total__05 = get_percentage($orders_count_total, $orders_count_total_05);
		$smarty->assign('total_05', $orders_count_total__05);
		$smarty->assign('total__05', $orders_count_total_05);

		$orders_total_06_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_06 AND $end_06 AND status = '$order_status'");
		$orders_count_total_06 = db_num_rows($orders_total_06_query);
		$orders_count_total__06 = get_percentage($orders_count_total, $orders_count_total_06);
		$smarty->assign('total_06', $orders_count_total__06);
		$smarty->assign('total__06', $orders_count_total_06);

		$orders_total_07_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_07 AND $end_07 AND status = '$order_status'");
		$orders_count_total_07 = db_num_rows($orders_total_07_query);
		$orders_count_total__07 = get_percentage($orders_count_total, $orders_count_total_07);
		$smarty->assign('total_07', $orders_count_total__07);
		$smarty->assign('total__07', $orders_count_total_07);

		$orders_total_08_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_08 AND $end_08 AND status = '$order_status'");
		$orders_count_total_08 = db_num_rows($orders_total_08_query);
		$orders_count_total__08 = get_percentage($orders_count_total, $orders_count_total_08);
		$smarty->assign('total_08', $orders_count_total__08);
		$smarty->assign('total__08', $orders_count_total_08);

		$orders_total_09_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_09 AND $end_09 AND status = '$order_status'");
		$orders_count_total_09 = db_num_rows($orders_total_09_query);
		$orders_count_total__09 = get_percentage($orders_count_total, $orders_count_total_09);
		$smarty->assign('total_09', $orders_count_total__09);
		$smarty->assign('total__09', $orders_count_total_09);

		$orders_total_10_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_10 AND $end_10 AND status = '$order_status'");
		$orders_count_total_10 = db_num_rows($orders_total_10_query);
		$orders_count_total__10 = get_percentage($orders_count_total, $orders_count_total_10);
		$smarty->assign('total_10', $orders_count_total__10);
		$smarty->assign('total__10', $orders_count_total_10);

		$orders_total_11_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_11 AND $end_11 AND status = '$order_status'");
		$orders_count_total_11 = db_num_rows($orders_total_11_query);
		$orders_count_total__11 = get_percentage($orders_count_total, $orders_count_total_11);
		$smarty->assign('total_11', $orders_count_total__11);
		$smarty->assign('total__11', $orders_count_total_11);

		$orders_total_12_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start_12 AND $end_12 AND status = '$order_status'");
		$orders_count_total_12 = db_num_rows($orders_total_12_query);
		$orders_count_total__12 = get_percentage($orders_count_total, $orders_count_total_12);
		$smarty->assign('total_12', $orders_count_total__12);
		$smarty->assign('total__12', $orders_count_total_12);

	}

	if (!$_GET['y']) {
		$orders_count_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE status = '$order_status'");
	} else {
		$orders_count_query = db_query("SELECT orderid FROM $sql_tbl[orders] WHERE date BETWEEN $start AND $end AND status = '$order_status'");
	}
	$orders_count = db_num_rows($orders_count_query);
	$smarty->assign('total', $orders_count);

	if (!$_GET['y']) {
		$orders_query_M = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE status = '$order_status' AND deviceType = 'M'");
	} else {
		$orders_query_M = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE date BETWEEN $start AND $end AND status = '$order_status' AND deviceType = 'M'");
	}
	$order__count_M = db_num_rows($orders_query_M);
	$mobiles  = get_percentage($orders_count, $order__count_M);
	$smarty->assign('mobiles', $mobiles);

	if (!$_GET['y']) {
		$orders_query_T = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE status = '$order_status' AND deviceType = 'T'");
	} else {
		$orders_query_T = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE date BETWEEN $start AND $end AND status = '$order_status' AND deviceType = 'T'");
	}
	$order__count_T = db_num_rows($orders_query_T);
	$tablets  = get_percentage($orders_count, $order__count_T);
	$smarty->assign('tablets', $tablets);

	if (!$_GET['y']) {
		$orders_query_D = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE status = '$order_status' AND deviceType = 'D'");
	} else {
		$orders_query_D = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE date BETWEEN $start AND $end AND status = '$order_status' AND deviceType = 'D'");
	}
	$order__count_D = db_num_rows($orders_query_D);
	$desktops = get_percentage($orders_count, $order__count_D);
	$smarty->assign('desktops', $desktops);

	if (!$_GET['y']) {
		$orders_query_U = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE status = '$order_status' AND deviceType = ''");
	} else {
		$orders_query_U = db_query("SELECT deviceType FROM $sql_tbl[orders] WHERE date BETWEEN $start AND $end AND status = '$order_status' AND deviceType = ''");
	}
	$order__count_U = db_num_rows($orders_query_U);
	$unknown = get_percentage($orders_count, $order__count_U);
	$smarty->assign('unknown', $unknown);

	$location[] = array(func_get_langvar_by_name("lbl_order_stats"), "reboot_order_stats.php");
	$smarty->assign("location", $location);
	$smarty->assign("main", "reboot_order_stats");

	@include $xcart_dir."/modules/gold_display.php";
	func_display("admin/home.tpl",$smarty);

}

?>