{if $active_modules.Reboot && $config.Reboot.reboot_device_detect_enabled eq "Y"}

<style>
h1 { text-align: center; font-size: 36px; }
h3 { text-align: center; font-size: 18px; }
div.menu { border: 1px solid #acb7c7; background-color: #eee; max-width: 800px; margin: 0 auto 20px auto; border-radius: 5px; }
p.years { text-align: center; font-size: 18px; }
p.years a { text-decoration: none !important; padding: 5px 8px; border-radius: 5px; }
p.years a:hover { background-color: lightgreen; color: black; }
p.years a.active { color: green !important; font-weight: bold; background-color: green; color: white !important; }
p.months { text-align: center; font-size: 16px; }
p.months a { text-decoration: none !important; padding: 5px 8px; border-radius: 5px; }
p.months a:hover { background-color: lightgreen; color: black; }
p.months a.active { color: green !important; font-weight: bold; background-color: green; color: white !important; }
p.status { text-align: center; font-size: 14px; }
p.status a { text-decoration: none !important; padding: 5px 8px; border-radius: 5px; }
p.status a:hover { background-color: lightgreen; color: black; }
p.status a.active { color: green !important; font-weight: bold; background-color: green; color: white !important; }
table.ostats { margin-left: auto; margin-right: auto; }
table.ostats td { width: auto; text-align: center; padding: 15px; }
table.ostats td i { display: block; font-size: 32px; }
table.ostats td p { font-size: 20px; font-weight: bold; white-space: nowrap; }
table.ostats td div { background-color: gold; width: 100px; height: 100px; border-radius: 50%; display: inline-flex; align-items: center; justify-content: center; font-size: 24px; font-weight: bold; box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075); }
table.ostats td div.total { background-color: green; color: white; }
table.ostats td div.unknown { background-color: red; color: white; }
table.graph { height: 100px; width: 600px; margin-left: auto; margin-right: auto; }
table.graph td { text-align: center; vertical-align: bottom; padding: 5px; font-weight: bold; }
table.graph td div { width: 40px; min-height: 20px; padding: 5px 5px 0 5px; border-radius: 5px 5px 0 0; }
table.graph td div.green { background-color: lightgreen; color: black; }
table.graph td div.green.active { background-color: green; color: white; }
table.graph td div.red { background-color: red; color: white; }
table.graph tr.legend td { height: 20px; font-size: 16px; }
table.graph.all-years td div { width: 50px; 5px 5px 20px 5px; }
p.nostats { text-align: center; padding: 5px; margin: 0; color: red; font-weight: bold; font-size: 18px; }
</style>

<h1>Order Stats{if $smarty.get.y} ({if $smarty.get.m}{$month} {/if}{$smarty.get.y}){/if}</h1>

<div class="menu">

<p class="years">
<a class="{if !$smarty.get.y}active{/if}" href="reboot_order_stats.php">All Time</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 10}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 10}">{$smarty.now|date_format:'%Y' - 10}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 9}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 9}">{$smarty.now|date_format:'%Y' - 9}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 8}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 8}">{$smarty.now|date_format:'%Y' - 8}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 7}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 7}">{$smarty.now|date_format:'%Y' - 7}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 6}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 6}">{$smarty.now|date_format:'%Y' - 6}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 5}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 5}">{$smarty.now|date_format:'%Y' - 5}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 4}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 4}">{$smarty.now|date_format:'%Y' - 4}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 3}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 3}">{$smarty.now|date_format:'%Y' - 3}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 2}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 2}">{$smarty.now|date_format:'%Y' - 2}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y' - 1}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y' - 1}">{$smarty.now|date_format:'%Y' - 1}</a>
<a class="{if $smarty.get.y eq $smarty.now|date_format:'%Y'}active{/if}" href="reboot_order_stats.php?y={$smarty.now|date_format:'%Y'}">{$smarty.now|date_format:'%Y'}</a>
</p>

{if $smarty.get.y}
<p class="months">
<a class="{if $smarty.get.m eq '01'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=01{if $smarty.get.s}&s={$smarty.get.s}{/if}">Jan</a>
<a class="{if $smarty.get.m eq '02'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=02{if $smarty.get.s}&s={$smarty.get.s}{/if}">Feb</a>
<a class="{if $smarty.get.m eq '03'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=03{if $smarty.get.s}&s={$smarty.get.s}{/if}">Mar</a>
<a class="{if $smarty.get.m eq '04'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=04{if $smarty.get.s}&s={$smarty.get.s}{/if}">Apr</a>
<a class="{if $smarty.get.m eq '05'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=05{if $smarty.get.s}&s={$smarty.get.s}{/if}">May</a>
<a class="{if $smarty.get.m eq '06'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=06{if $smarty.get.s}&s={$smarty.get.s}{/if}">Jun</a>
<a class="{if $smarty.get.m eq '07'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=07{if $smarty.get.s}&s={$smarty.get.s}{/if}">Jul</a>
<a class="{if $smarty.get.m eq '08'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=08{if $smarty.get.s}&s={$smarty.get.s}{/if}">Aug</a>
<a class="{if $smarty.get.m eq '09'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=09{if $smarty.get.s}&s={$smarty.get.s}{/if}">Sep</a>
<a class="{if $smarty.get.m eq '10'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=10{if $smarty.get.s}&s={$smarty.get.s}{/if}">Oct</a>
<a class="{if $smarty.get.m eq '11'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=11{if $smarty.get.s}&s={$smarty.get.s}{/if}">Nov</a>
<a class="{if $smarty.get.m eq '12'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}&m=12{if $smarty.get.s}&s={$smarty.get.s}{/if}">Dec</a>
</p>
{/if}

<p class="status">
{*
<a class="{if $smarty.get.s eq 'I' || $status eq 'I'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=I">{$lng.lbl_not_finished} (I)</a>
<a class="{if $smarty.get.s eq 'Q' || $status eq 'Q'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=Q">{$lng.lbl_queued} (Q)</a>
<a class="{if $smarty.get.s eq 'A' || $status eq 'A'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=A">{$lng.lbl_pre_authorized} (A)</a>
<a class="{if $smarty.get.s eq 'B' || $status eq 'B'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=B">{$lng.lbl_backordered} (B)</a>
<a class="{if $smarty.get.s eq 'R' || $status eq 'R'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=R">{$lng.lbl_refunded} (R)</a>
*}
<a class="{if $smarty.get.s eq 'D' || $status eq 'D'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=D">{$lng.lbl_declined} (D)</a>
<a class="{if $smarty.get.s eq 'F' || $status eq 'F'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=F">{$lng.lbl_failed} (F)</a>
<a class="{if $smarty.get.s eq 'P' || $status eq 'P'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=P">{$lng.lbl_processed} (P)</a>
<a class="{if $smarty.get.s eq 'C' || $status eq 'C'}active{/if}" href="reboot_order_stats.php?y={$smarty.get.y}{if $smarty.get.m}&m={$smarty.get.m}{/if}&s=C">{$lng.lbl_complete} (C)</a>
</p>

</div>{* /.menu *}

{if $status eq "I"}{assign var="order__status" value=$lng.lbl_not_finished}{/if}
{if $status eq "Q"}{assign var="order__status" value=$lng.lbl_queued}{/if}
{if $status eq "A"}{assign var="order__status" value=$lng.lbl_pre_authorized}{/if}
{if $status eq "B"}{assign var="order__status" value=$lng.lbl_backordered}{/if}
{if $status eq "R"}{assign var="order__status" value=$lng.lbl_refunded}{/if}
{if $status eq "D"}{assign var="order__status" value=$lng.lbl_declined}{/if}
{if $status eq "F"}{assign var="order__status" value=$lng.lbl_failed}{/if}
{if $status eq "P"}{assign var="order__status" value=$lng.lbl_processed}{/if}
{if $status eq "C"}{assign var="order__status" value=$lng.lbl_complete}{/if}

{if $total ne 0}

<table class="ostats">
<tr>
<td><i class="fa fa-shopping-cart"></i><p>Total Orders ({$order__status})</p><div class="total">{$total}</div></td>
<td><i class="fa fa-mobile"></i><p>Mobiles</p><div>{$mobiles}%</div></td>
<td><i class="fa fa-tablet"></i><p>Tablets</p><div>{$tablets}%</div></td>
<td><i class="fa fa-desktop"></i><p>Desktops</p><div>{$desktops}%</div></td>
{if $unknown ne 0}<td><i class="fa fa-question"></i><p>Unknown</p><div class="unknown">{$unknown}%</div></td>{/if}
</tr>
</table>

{if $smarty.get.y}
{if $total lt 100}
{assign var="multiplyer" value="1"}
{else}
{assign var="multiplyer" value="10"}
{/if}
<h3>Monthly Orders ({$smarty.get.y})</h3>
<table class="graph">
<tr>
<td><div class="{if $total__01}green{else}red{/if}{if $total eq $total__01 && $smarty.get.m eq '01'} active{/if}" style="height:{$total_01 * $multiplyer}px;">{$total__01}</div></td>
<td><div class="{if $total__02}green{else}red{/if}{if $total eq $total__02 && $smarty.get.m eq '02'} active{/if}" style="height:{$total_02 * $multiplyer}px;">{$total__02}</div></td>
<td><div class="{if $total__03}green{else}red{/if}{if $total eq $total__03 && $smarty.get.m eq '03'} active{/if}" style="height:{$total_03 * $multiplyer}px;">{$total__03}</div></td>
<td><div class="{if $total__04}green{else}red{/if}{if $total eq $total__04 && $smarty.get.m eq '04'} active{/if}" style="height:{$total_04 * $multiplyer}px;">{$total__04}</div></td>
<td><div class="{if $total__05}green{else}red{/if}{if $total eq $total__05 && $smarty.get.m eq '05'} active{/if}" style="height:{$total_05 * $multiplyer}px;">{$total__05}</div></td>
<td><div class="{if $total__06}green{else}red{/if}{if $total eq $total__06 && $smarty.get.m eq '06'} active{/if}" style="height:{$total_06 * $multiplyer}px;">{$total__06}</div></td>
<td><div class="{if $total__07}green{else}red{/if}{if $total eq $total__07 && $smarty.get.m eq '07'} active{/if}" style="height:{$total_07 * $multiplyer}px;">{$total__07}</div></td>
<td><div class="{if $total__08}green{else}red{/if}{if $total eq $total__08 && $smarty.get.m eq '08'} active{/if}" style="height:{$total_08 * $multiplyer}px;">{$total__08}</div></td>
<td><div class="{if $total__09}green{else}red{/if}{if $total eq $total__09 && $smarty.get.m eq '09'} active{/if}" style="height:{$total_09 * $multiplyer}px;">{$total__09}</div></td>
<td><div class="{if $total__10}green{else}red{/if}{if $total eq $total__10 && $smarty.get.m eq '10'} active{/if}" style="height:{$total_10 * $multiplyer}px;">{$total__10}</div></td>
<td><div class="{if $total__11}green{else}red{/if}{if $total eq $total__11 && $smarty.get.m eq '11'} active{/if}" style="height:{$total_11 * $multiplyer}px;">{$total__11}</div></td>
<td><div class="{if $total__12}green{else}red{/if}{if $total eq $total__12 && $smarty.get.m eq '12'} active{/if}" style="height:{$total_12 * $multiplyer}px;">{$total__12}</div></td>
</tr>
<tr class="legend">
<td>Jan</td>
<td>Feb</td>
<td>Mar</td>
<td>Apr</td>
<td>May</td>
<td>Jun</td>
<td>Jul</td>
<td>Aug</td>
<td>Sep</td>
<td>Oct</td>
<td>Nov</td>
<td>Dec</td>
</tr>
</table>
{/if}

{if !$smarty.get.y && !$smarty.get.m}
{if $total lt 100}
{assign var="multiplyer" value="15"}
{else}
{assign var="multiplyer" value="0.05"}
{/if}
<h3>Orders by Year ({$order__status})</h3>
<table class="graph all-years">
<tr>
<td><div class="green" style="height:{$year_10 * $multiplyer}px;">{$year_10}</div></td>
<td><div class="green" style="height:{$year_9 * $multiplyer}px;">{$year_9}</div></td>
<td><div class="green" style="height:{$year_8 * $multiplyer}px;">{$year_8}</div></td>
<td><div class="green" style="height:{$year_7 * $multiplyer}px;">{$year_7}</div></td>
<td><div class="green" style="height:{$year_6 * $multiplyer}px;">{$year_6}</div></td>
<td><div class="green" style="height:{$year_5 * $multiplyer}px;">{$year_5}</div></td>
<td><div class="green" style="height:{$year_4 * $multiplyer}px;">{$year_4}</div></td>
<td><div class="green" style="height:{$year_3 * $multiplyer}px;">{$year_3}</div></td>
<td><div class="green" style="height:{$year_2 * $multiplyer}px;">{$year_2}</div></td>
<td><div class="green" style="height:{$year_1 * $multiplyer}px;">{$year_1}</div></td>
<td><div class="green active" style="height:{$year_0 * $multiplyer}px;">{$year_0}</div></td>
</tr>
<tr class="legend">
<td>{$smarty.now|date_format:'%Y' - 10}</td>
<td>{$smarty.now|date_format:'%Y' - 9}</td>
<td>{$smarty.now|date_format:'%Y' - 8}</td>
<td>{$smarty.now|date_format:'%Y' - 7}</td>
<td>{$smarty.now|date_format:'%Y' - 6}</td>
<td>{$smarty.now|date_format:'%Y' - 5}</td>
<td>{$smarty.now|date_format:'%Y' - 4}</td>
<td>{$smarty.now|date_format:'%Y' - 3}</td>
<td>{$smarty.now|date_format:'%Y' - 2}</td>
<td>{$smarty.now|date_format:'%Y' - 1}</td>
<td>{$smarty.now|date_format:'%Y'}</td>
</tr>
</table>
{/if}

{else}

<p class="nostats">No results...</p>

{/if}

{else}

<p>Device Detect addon not installed / enabled.</p>

{/if}